[Top][All Lists]
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
Re: coreutils-6.5: spurious test failure (rm/one-filesystem)
From: |
Jim Meyering |
Subject: |
Re: coreutils-6.5: spurious test failure (rm/one-filesystem) |
Date: |
Tue, 21 Nov 2006 09:42:00 +0100 |
Michael Deutschmann <address@hidden> wrote:
> I've noticed a failure on one of the "check-root" tests on my system:
>
>> make check-TESTS
>> make[3]: Entering directory `/home/michael/build/cu-build/tests/rm'
>> mount: unknown filesystem type 'none'
>> ../../../coreutils-6.5/tests/rm/one-file-system: failure in testing framework
>> FAIL: one-file-system
>> ======================================
>> 1 of 1 tests failed
>
> It seems to be spurious -- investigating the test script shows that it is
> trying to use the "mount --bind" command, which is a feature not supported
> in Linux 2.0.40 (which I use).
Thanks for running the root-only tests and for the report.
I've changed that test to be skipped upon setup failure:
* tests/rm/one-file-system: Upon setup failure (e.g., mount failure),
skip the test rather than failing. Reported by Michael Deutschmann.
diff --git a/tests/rm/one-file-system b/tests/rm/one-file-system
index bb7ffeb..66c04d5 100755
--- a/tests/rm/one-file-system
+++ b/tests/rm/one-file-system
@@ -51,8 +51,8 @@ rm: skipping `a/b', since it's on a diff
EOF
if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
+ echo "$0: setup failed; skipping this test" 1>&2
+ (exit 77); exit 77
fi
fail=0
> Anyways, using "mount" at all from a test script, even a root-only one,
> seems unwise, as it tends to vary across different unix-like systems.
If you find a way to exercise the same code cleanly and reliably,
but without using a bind mount, then I'd love a patch.
Then this test wouldn't have to be root-only.
FWIW, the main purpose of the root-only tests is for me to be
able to ensure/document that changes I've made really fix the
problems they purport to fix, and to make sure they stay fixed.
If other people can run those same root-only tests, that's good, too,
but not as important.